Subject: Re: [PATCH 1/2] 8139too: Make PIO/MMIO a modparam

From: Jeff Garzik <[email-masked]>
Date: Tue, 15 Jul 2008 19:31:16 -0400

Dave Jones wrote:
> On Tue, Jul 15, 2008 at 06:55:42PM -0400, Jeff Garzik wrote:
> 
>  > >  > * [optional] would prefer CONFIG_8139TOO_PIO be handled at compile time, 
>  > >  > by changing the initialized value
>  > > 
>  > > This bit should be taken care of in rtl8139_init_module() at the bottom..
>  > > 
>  > > +       /* enable PIO instead of MMIO, if CONFIG_8139TOO_PIO is selected */
>  > > +#ifdef CONFIG_8139TOO_PIO
>  > > +       use_io = 1;
>  > > +#endif
>  > 
>  > Right, I was saying I prefer simply to set the initialized value 
>  > appropriately, and avoid the extra code dollup during module load.
> 
> Oh, you mean something like..
> 
> static int use_io = CONFIG_8139TOO_PIO;
> 
> ?

Sorry for not being specific.  I would have guessed the uglier

	#ifdef CONFIG_8139TOO_PIO
		static int use_io = 1;
	#else
		static int use_io;
	#endif

since CONFIG_8139TOO_PIO doesn't convert to a 1 or 0 neatly in C AFAIK?

But, overall, yes.  You get the general idea.

	Jeff